Home
Home
  1. Payroll Provider API Prototypes
  • Salary Deduction
    • Welcome
    • Getting started
      • Availability and Onboarding
        • Light Availability Check
        • Full Availability Check
        • Onboarding
      • Salary Deduction
        • Deduction Instruction
        • Re-running Payroll
        • Deduction Payments and Reconciliation
        • Changes to Employee Status
    • API Reference
      • Authentication
      • Idempotency
      • Webhooks
        • Webhooks
      • Salary Deduction
        • Salary Deduction Data Request
        • Salary Deduction Confirmation Submission
    • Schemas
      • Availability Check
        • Light Availability Check Response
        • Light Availability Check Request
        • Full Availability Check Response
        • Full Availability Check Request
      • Core
        • ProblemDetails
      • Deduction Instructions
        • Salary Deduction
        • Confirmation Deduction Response
        • Salary Deduction Enablement Response
        • Employee Deduction Push Response
        • Employee Deduction Push Request
        • Latest Employee Deduction Push Response
      • Payment Account
        • Payment Account
        • Payment Information
      • Payroll
        • Salary Deduction Confirmation Data Submission
        • Salary Deduction Data Response
        • Payroll
        • Employee Payroll
        • Employment
        • Pay Date
        • Salary Deduction Enablement Request
      • Webhooks
        • Employee Update Payload
        • WebHook
  • Payroll Provider API Prototypes
    • Light Availability Check
      POST
    • Full Availability Check
      POST
    • Salary Deduction Enablement
      POST
    • Payroll Information
      GET
    • Salary Deduction Employee Data Push
      POST
    • Latest Salary Deduction Employee Data Push
      GET
  1. Payroll Provider API Prototypes

Salary Deduction Enablement

POST
/deductions/enablement
OperationId:salary_deduction_enablement
Ontime calls this endpoint when a consumer agrees to pay by salary deduction, to enable it for their employment. Respond 200 with the status and the employee's employments, including when salary deduction cannot be enabled.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
API Key
Add parameter in header
x-api-key
Example:
x-api-key: ********************
or
Header Params

Body Params application/jsonRequired

Example
{
    "salary_deduction_enablement_request": {
        "employer_id": "EMPLOYER-001",
        "employee_id": "EMP-001",
        "payroll_id": "PAYROLL-001",
        "national_registration_number": "QQ123456C",
        "agreement_datestamp": "2026-10-20T09:30:00+00:00"
    }
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/deductions/enablement' \
--header 'Idempotency-Key: {{$string.uuid}}' \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
    "salary_deduction_enablement_request": {
        "employer_id": "EMPLOYER-001",
        "employee_id": "EMP-001",
        "payroll_id": "PAYROLL-001",
        "national_registration_number": "QQ123456C",
        "agreement_datestamp": "2026-10-20T09:30:00+00:00"
    }
}'

Responses

🟢200Success
application/json
Indicates the request was successfully processed by the server and a valid response is included in the body.
Bodyapplication/json

Examples
{
    "salary_deduction_enablement_response": {
        "status": "accepted",
        "additional_information": null,
        "employment": [
            {
                "employment": {
                    "employee_id": "EMP-001",
                    "start_date": "2021-04-06",
                    "currency": "GBP",
                    "employer": {
                        "id": "EMPLOYER-001",
                        "name": "Emp Co Limited",
                        "registration_number": "01234567",
                        "sic_code": "64191",
                        "industry_name": "Financial Services",
                        "employer_opt_in_status": "accepted"
                    },
                    "payrolls": [
                        {
                            "payroll": {
                                "id": "PAYROLL-001",
                                "employment_status": "active",
                                "contract_type": "full_time",
                                "payment_run_frequency": "monthly",
                                "annualised_salary": 3000000,
                                "pay_dates": [
                                    {
                                        "pay_date": "2026-10-28",
                                        "payroll_cutoff": "2026-10-20",
                                        "pay_period": "October-26"
                                    },
                                    {
                                        "pay_date": "2026-11-27",
                                        "payroll_cutoff": "2026-11-19",
                                        "pay_period": "November-26"
                                    }
                                ]
                            }
                        }
                    ]
                }
            }
        ]
    }
}
🟠400Bad Request
🟠401Unauthorised
🟠403Forbidden
🟠404Not Found
🟠409Conflict
🟠422Unprocessable Entity
Previous
Full Availability Check
Next
Payroll Information